Subject: Re: [PATCH v4 2/2] merge-ort: return early when failing to write a blob

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Sep 2022 15:07:58 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> From: Johannes Schindelin <[email-masked]>
>
> In the previous commit, we fixed a segmentation fault when a tree object
> could not be written.
>
> However, before the tree object is written, `merge-ort` wants to write
> out a blob object (except in cases where the merge results in a blob
> that already exists in the database). And this can fail, too, but we
> ignore that write failure so far.

Nice find.

As long as we create at least one "new" blob the repository has not
seen, we have a chance to exit before we attempt to write a tree
object (and notice a failure).  Checking the return value of
process_entry() for failures is a good thing to do.

Will replace.  Thanks.